﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SearchEngineListEditorLibrary
{
	public class Group : Item
	{
		public Group()
			: base()
		{
			this.SearchEngineNames = new List<string>();
		}

		public List<string> SearchEngineNames { get; set; }

		public override void CreateAndAddRawItems( List<Item> rawItems )
		{
			Item rawItem = new Item();

			this.CopyTo( rawItem );

			rawItem.URLFirst = CreateURLFirst();

			rawItems.Add( rawItem );
		}

		private string CreateURLFirst()
		{
			StringBuilder builder = new StringBuilder( "group:" );

			foreach ( string searchEngineName in this.SearchEngineNames )
			{
				builder.Append( searchEngineName );

				builder.Append( "|" );
			}

			if ( HasLastPipe( builder ) )
			{
				RemoveLastPipe( builder );
			}

			return builder.ToString();
		}

		private static void RemoveLastPipe( StringBuilder builder )
		{
			builder.Remove( builder.Length - 1, 1 );
		}

		private bool HasLastPipe( StringBuilder builder )
		{
			string temp = builder.ToString();

			return temp.EndsWith( "|" );
		}

		public override object Clone()
		{
			Group result = new Group();

			result.SetProperties(
				this.Name,
				this.URLFirst,
				this.URLLast,
				this.Lock,
				this.Encode,
				this.ShortCut,
				this.Icon
				);

			result.SearchEngineNames = this.SearchEngineNames.ToList<string>();

			return result;
		}
	}
}
