﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Tomham.Xml.Serialization;
using System.IO;
using System.Windows.Forms;

namespace SearchEngineListEditorLibrary
{
	public class Options
	{
		private string mostRecentUsedFile = string.Empty;

		public string MostRecentUsedFile
		{
			get { return mostRecentUsedFile; }
			set { mostRecentUsedFile = value; }
		}

		private static string optionsFileName = 
			Path.Combine( Application.StartupPath, "Options.dat" );

		public static string OptionsFileName
		{
			get { return optionsFileName; }
		}

		public static void SaveToFile( string fileName, Options target )
		{
			SimpleXmlSerializer.Serialize( target, fileName, Encoding.Unicode );
		}

		public static Options LoadFromFile( string fileName )
		{
			if ( File.Exists( fileName ) )
			{
				return SimpleXmlSerializer.Deserialize<Options>( fileName, Encoding.Unicode );
			}
			else
			{
				throw new FileNotFoundException();
			}
		}
	}
}
