﻿using System;

using NUnit.Framework;
using SearchEngineListEditorLibrary;

namespace SearchEngineListEditorLibraryTest
{
	[TestFixture]
	public class EditCoreTest
	{
		[Test]
		public void ShortCutNumberToAlphabet()
		{
			string result = EditorCore.ShortCutNumberToAlphabet( 1 );

			Assert.AreEqual( "a", result );
		}

		[Test, ExpectedException( typeof( ArgumentOutOfRangeException ) )]
		public void ShortCutNumberToAlphabetWithInvalidNumber()
		{
			EditorCore.ShortCutNumberToAlphabet( -1 );
		}

		[Test]
		public void AlphabetToShortCutNumber()
		{
			int result = EditorCore.AlphabetToShortCutNumber( "a" );

			Assert.AreEqual( 1, result );
		}

		[Test, ExpectedException( typeof( ArgumentException ) )]
		public void AlphabetToShortCutNumberWithNoAlphabet()
		{
			EditorCore.AlphabetToShortCutNumber( "_" );
		}

		[Test, ExpectedException( typeof( ArgumentException ) )]
		public void AlphabetToShortCutNumberWithTooLongString()
		{
			EditorCore.AlphabetToShortCutNumber( "aa" );
		}
	}
}
