﻿using NUnit.Framework;
using SearchEngineListEditorLibrary;

namespace SearchEngineListEditorLibraryTest
{
	[TestFixture]
	public class ItemTest
	{
		[Test]
		public void AddRemoveToFolder()
		{
			ItemTree tree = new ItemTree();

			Folder folder1 = new Folder();

			Item item1 = new Item();

			folder1.Add( item1 );

			Assert.AreEqual( folder1, item1.Parent );

			tree.Root.Add( folder1 );

			Assert.AreEqual( tree, folder1.Owner );
			Assert.AreEqual( tree, item1.Owner );

			folder1.Remove( item1 );

			Assert.AreEqual( null, item1.Parent );
			Assert.AreEqual( null, item1.Owner );

			folder1.Add( item1 );

			tree.Root.Remove( folder1 );

			Assert.AreEqual( null, item1.Owner );
		}
	}
}
