using System;
using System.IO;
using System.Text;

namespace Tomham.IO
{
	public sealed class SimpleLogger
	{
		private SimpleLogger()
		{
		}

		public static void WriteLog(string logFileName, params string[] logData)
		{
			StreamWriter writer =
				new StreamWriter( logFileName, true, Encoding.Unicode );

			try
			{
				writer.AutoFlush = false;

				writer.WriteLine();

				writer.WriteLine( 
					"{0} {1}", 
					DateTime.Now.ToLongDateString(), 
					DateTime.Now.ToLongTimeString()
					);

				foreach ( string s in logData )
				{
					writer.WriteLine(s);
				}

			}
			catch ( IOException err )
			{
				Console.WriteLine( err.Message );
			}
			finally
			{
				writer.Close();
			}
		}
	}
}
