using System;
using NUnit.Framework;
using System.IO;

namespace Tomham.IO
{

	[TestFixture]
	public class FileUtilsTest
	{
		public FileUtilsTest()
		{
			// 
			// TODO: RXgN^ WbNɒǉĂB
			//
		}

		[Test]
		public void FileOrDirectoryExists1()
		{
			Assert.IsTrue( FileUtils.FileOrDirectoryExists(@"J:\Music") );
		}

		[Test]
		public void FileOrDirectoryExists2()
		{
			Assert.IsTrue( FileUtils.FileOrDirectoryExists(@"J:\soft\irvine\readme.txt") );
		}

		[Test]
		public void CompareLastWriteTime()
		{
			
			Assert.IsTrue( 
				0 < FileUtils.CompareLastWriteTime(
						@"J:\soft\PPX\PPX041P4.TXT", 
						@"J:\soft\PPX\PPX041P3.TXT"
					)
			);
		}

		[Test]
		public void IsDirectory1()
		{
			Assert.IsTrue( FileUtils.IsDirectory(@"C:\WINDOWS") );
		}

		[Test]
		public void IsDirectory2()
		{
			Assert.IsTrue( 
				FileUtils.IsDirectory(@"C:"),
				"DrivetH_łƔ肳"
			);
					
		}

		[Test]
		public void IsDriveCaseOfFileName()
		{
			Assert.IsFalse( FileUtils.IsDrive(@"J:\soft\irvine\readme.txt") );
		}

		[Test]
		public void IsDriveCaseOfEmpty()
		{
			Assert.IsFalse( FileUtils.IsDrive(string.Empty) );
		}

		[Test]
		public void IsDriveCaseOfDrive1()
		{
			Assert.IsTrue( FileUtils.IsDrive(@"C:") );
		}

		[Test]
		public void IsDriveCaseOfDrive2()
		{
			Assert.IsTrue( FileUtils.IsDrive(@"C:\") );
		}

	}
}
